﻿/* ----- For video splash ------------ */

.vheader {
    position: relative;
    background-color: black;
    height: 35vh;
    min-height: 25rem;
    width: 70%;
    overflow: hidden;
    padding: 1rem 1rem 1rem 1rem;
    border-style: solid;
    border-width: thin;
    border-color: grey;
    border-radius: 0.5rem;
    margin-top: 0px;
    margin-left: 15%;
    margin-bottom: 1.5rem;
}

    .vheader video {
        position: absolute;
        top: 50%;
        left: 50%;
        min-width: 100%;
        min-height: 100%;
        width: inherit;
        height: auto;
        z-index: 0;
        -ms-transform: translateX(-50%) translateY(-50%);
        -moz-transform: translateX(-50%) translateY(-50%);
        -webkit-transform: translateX(-50%) translateY(-50%);
        transform: translateX(-50%) translateY(-50%);
    }

    .vheader .vcontainer {
        position: relative;
        z-index: 2;
        height: 100%;
    }

        .vheader .vcontainer .vcontainer-caption {
            position: absolute;
            bottom: 0px;
            color: white;
            text-shadow: 1px 1px 1px #25082d;
        }

    .vheader .voverlay {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: white;
        opacity: 0.07;
        z-index: 1;
    }

.smallheader {
    position: relative;
    background-image: url('/assets/splashimages/iStock-1163987892.jpg');
    width: 70%;
    margin-left: 15%;
    /*    height: 35vh;
    min-height: 25rem;*/
    padding: 1rem 1rem 0.5rem 1rem;
    border-style: solid;
    border-width: thin;
    border-color: grey;
    border-radius: 0.5rem;
    margin-top: 0px;
}

    .smallheader .smalloverlay {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: white;
        opacity: 0.09;
        z-index: 1;
        border-radius: 0.5rem;
    }

    .smallheader .smallcontainer {
        position: relative;
        z-index: 2;
    }

    .smallheader .smallcontainer-caption {
        font-size: 1.4rem;
        font-weight: bold;
        color: white;
        text-shadow: 1px 1px 1px #25082d;
        margin-bottom: 5rem;
    }


.splashCaption {
    width: 70%;
    padding: 1rem 1rem 2rem 1rem;
    border-style: solid;
    border-width: thin;
    border-color: grey;
    border-radius: 0.5rem;
    margin-top: 0.0rem;
    margin-left: 15%;
    margin-bottom: 2rem;
    background-color: #fbf6f0;
    font-size: 1.05rem;
}

@media (max-width: 767px) {
    .vheader {
        /* Set the mobile fallback image in the CSS by changing the background image of the header: */
        background: url('https://source.unsplash.com/XT5OInaElMw/1600x900') black no-repeat center center scroll;
    }

        .vheader video {
            display: none;
        }

    .splashCaption {
        width: 100%;
        margin-left: 0px;
    }

    .smallheader {
        width: 100%;
        margin-left: 0px;
    }
}

.navbar-nav {
    background-color: var(--header-background);
    width: 30%;
    text-align: right;
    margin-top: 0px;
    padding: 10px;
}

.card-footer {
    display: block;
    padding: 16px;
}

img {
    margin: 0px;
}

.nav-link, .nav-link {
    font-size: 1.0rem;
    opacity:1.0;
}

    .nav-link:hover, .nav-link:focus {
        color: white;
    }

.navbar-brand:hover, .navbar-brand:focus {
    color: rgba(255,255,255,1.0);
}

.navbar-dark .navbar-nav .nav-link {
    color: rgba(255,255,255,1.0);
}

.top-bar-item{
    padding-left: 0px;
}


/* ----- For image carousel ------------ */
.carousel {
    background-color: white;
}

.carousel-caption {
    bottom: 10%;
    color: #0f1247;
}

.carousel-img {
    opacity: 0.40;
    margin: 0px
}

.carousel-indicators li {
    background-color: mediumblue;
}
